/***********************************************************
  文件名：14_Voice-activated-light.ino
  描述：学习声音传感器使用，制作声控灯。
  作者：陈志强
  日期：2022.11.10
***********************************************************/
 //声音传感器A口接A0口S脚，声音传感器s口不接跳线，led灯模块接D6口。
 int value_A;

void setup(){
  Serial.begin(9600);//设置波特率9600

  pinMode(A0, INPUT);//设置模拟A0口模式，INPUT为输入，
  pinMode(6, OUTPUT);//设置数字6口模式，OUTPUT为输出，
}

void loop(){
 
  value_A = analogRead(A0);//读取声音传感器模拟值
  Serial.print("   声音传感器模拟口值：");
  Serial.println(value_A);//打印声音传感器模拟值
  //保证安静环境下声音传感器模拟口
  if (value_A > 330 || value_A < 310) {//声音传感器是否大于或者小于设置的阈值
    digitalWrite(6,HIGH);//led灯亮
    delay(1000);//暂停1s

  } else {
    digitalWrite(6,LOW);//led灯熄灭

  }

}
